ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
אורח · ·
 

הודעה פורסם: 09/09/2015 - 11:02
נושא ההודעה: אני חדש ב emacs , זקוק לעזרה עם המאגרים של החבילות el

שלום חברים-רים .

אהלן וסאהלן , אני חדש ב emacs אני מחפש אלטרנטיבה ל VIM .

הגדרתי ב package-archive את המאגרים של elpa,melpa,gnu,org

משום מה אני מקבל במאגרים רק plugins ישנים
שאני מקיש package-content-refresh \ package-list-packages

ולכן אינני מצליח להתקין חלק גדול מהפלאגים ברשימה של package-list
ויש להם גם תלויות לחבילות אשר לא נמצאות כלל במאגרים .


האם אני עושה משהו לא נכון ?
או שיש מאגרים שאינני מודע אליהם ?

או שחלק אני צריך להתקין ידנית ? (אני כלל לא יודע איך מתקינים el )


בעקרון מה שאני צריך:
השלמת משפטים לשפת C
השלמת משפטים ל PHP
השלמת משפטים ל java (אם יש גם ל EE\jsf\jsp\javabeans עוד יותר טוב)
השלמת משפטים ל js (ואם יש ל nodejs\express)

גם ראיתי שיש omnisharp השלמת משפטים ל C# (וגם היום יש תמיכה מעולה בלינוקס עם asp.net בזכות nodejs ו npm עם שלל כלים כמו yeoman bower ועוד עם grunt)
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 09/09/2015 - 12:14
נושא ההודעה:

https://he.wikipedia.org/wiki/%D7%90%D7%94%D7%9C%D7%9F_%D7%95%D7%A1%D7%94%D7%9C%D7%9F
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 09/09/2015 - 15:50
נושא ההודעה:

אמנם לא עונה ישירות על השאלה שלך, אבל אני ממליץ (במיוחד אם זה תחליף VIM) להשתמש בהפצת emacs שנקראת spacemacs. הכל שם ארוז יפה ומכיל פתרונות טובים להרבה שפות.
בנוסף חווית המשתמש שם משופרת.

מוזמן להסתכל כאן:
https://github.com/syl20bnr/spacemacs/

בהצלחה!
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 09/09/2015 - 19:52
נושא ההודעה:

Anonymous :
אמנם לא עונה ישירות על השאלה שלך, אבל אני ממליץ (במיוחד אם זה תחליף VIM) להשתמש בהפצת emacs שנקראת spacemacs. הכל שם ארוז יפה ומכיל פתרונות טובים להרבה שפות.
בנוסף חווית המשתמש שם משופרת.

מוזמן להסתכל כאן:
https://github.com/syl20bnr/spacemacs/

בהצלחה!

נחמד שיש עוד דברים מגניבים .

אני אבדוק את זה בעתיד .
כרגע אני מעדיף לשלוט טוב ב emacs .
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 09/09/2015 - 21:31
נושא ההודעה:

Anonymous :
Anonymous :
אמנם לא עונה ישירות על השאלה שלך, אבל אני ממליץ (במיוחד אם זה תחליף VIM) להשתמש בהפצת emacs שנקראת spacemacs. הכל שם ארוז יפה ומכיל פתרונות טובים להרבה שפות.
בנוסף חווית המשתמש שם משופרת.

מוזמן להסתכל כאן:
https://github.com/syl20bnr/spacemacs/

בהצלחה!

נחמד שיש עוד דברים מגניבים .

אני אבדוק את זה בעתיד .
כרגע אני מעדיף לשלוט טוב ב emacs .


זה emacs לגמרי, רק עטוף יפה יותר. אתה מתקין emacs, החבילות הן של emacs וההגדרות הן של emacs. זה רק מאפשר לך כניסה חלקה יותר, ויש לזה קהילה פעילה שיכולה לעזור.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 09/09/2015 - 22:23
נושא ההודעה:

לא פתרתי את מה שאני צריך ב emacs רגיל אז זה בטח לא יפתור לי את התלויות של emacs בעצמו .


אני זקוק לתוספים של השלמת משפטים בשפות תכנות :
auto completion

לשפות java,c#,jsp,jstl וכו'

כמובן html,css

ואם אפשרי גם nodejs,express ועוד תחבירי js
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 10/09/2015 - 07:30
נושא ההודעה: Re: אני חדש ב emacs , זקוק לעזרה עם המאגרים של החבילות el

Anonymous :
שלום חברים-רים .

אהלן וסאהלן , אני חדש ב emacs אני מחפש אלטרנטיבה ל VIM .

הגדרתי ב package-archive את המאגרים של elpa,melpa,gnu,org

משום מה אני מקבל במאגרים רק plugins ישנים
שאני מקיש package-content-refresh \ package-list-packages

ולכן אינני מצליח להתקין חלק גדול מהפלאגים ברשימה של package-list
ויש להם גם תלויות לחבילות אשר לא נמצאות כלל במאגרים .


האם אני עושה משהו לא נכון ?
או שיש מאגרים שאינני מודע אליהם ?

או שחלק אני צריך להתקין ידנית ? (אני כלל לא יודע איך מתקינים el )


בעקרון מה שאני צריך:
השלמת משפטים לשפת C
השלמת משפטים ל PHP
השלמת משפטים ל java (אם יש גם ל EE\jsf\jsp\javabeans עוד יותר טוב)
השלמת משפטים ל js (ואם יש ל nodejs\express)

גם ראיתי שיש omnisharp השלמת משפטים ל C# (וגם היום יש תמיכה מעולה בלינוקס עם asp.net בזכות nodejs ו npm עם שלל כלים כמו yeoman bower ועוד עם grunt)


אנסה לעזור לך:
באיזו מערכת הפעלה אתה משתמש?
איזו גרסת emacs מותקנת אצלך?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 10/09/2015 - 08:46
נושא ההודעה:

קרנל:
Linux xeon5150 4.1.5-1-ARCH

הפצה:
מערכת arch linux 64 bit


גרסת emacs
emacs 24.5-1 [installed]



לדוגמה פלאגין של omnisharp דורש את dash-2.14
אך במאגרים קיים רק dash-2.11.0

ניסיתי לעדכן אותם עם package-refresh-content

הוספתי את המאגרים של marmelade,elpa,melpa
עכשיו שמתי לב שלפעמים שיש לי בעיה עם gnutls בסנכרון עם מאגר marmelade

כשאני מחפש בגוגל על הבעיה עם gnutls אני מגיע לקריאת באג בגרסאות ישנות של emacs
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 10/09/2015 - 08:49
נושא ההודעה:

דוגמה נוספת

הפאגין ac-php שמשלים משפטים ל php שנמצא ב package-list-packages
דורש את f-1 אבל במאגרים יש את f-0.18
ולכן זה לא מתקין שום דבר



אם אתה יכול להסביר לי איך מתקינים ידנית את הפלאגים או התלויות שלהם
אז אני יוכל לפתור את הבעיה בעצמי (וגם להתנסות ב פלאגים bleeding edge\unstable
כמו פרוייקטים שיש ב github וכו')
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. אורח
  3. אורח
  4. אורח
  5. אורח
  6. אורח
  7. אורח
  8. אורח
  9. אורח

Google Ads